Bug 89908 - magicdev keeps polling harddrive
magicdev keeps polling harddrive
Product: Red Hat Linux
Classification: Retired
Component: magicdev (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-04-29 13:11 EDT by Eric Wood
Modified: 2013-03-13 00:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-25 13:47:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Wood 2003-04-29 13:11:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Q312461)

Description of problem:
magicdev is stat'ing /etc/mtab and open'ing /dev/cdrom every second.  The 
filesystem must flush the atime change every few seconds.  So, how about 
stat'ing /proc/mounts instead?  Why does /mnt/mtab even exist nowadays?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. startx
2. strace -p <pid_of_magicdev>


Actual Results:  strace will show you the stat'ing and opening of /etc/mtab 
and /dev/cdrom

Expected Results:  use fam or /proc.

Additional info:
Comment 1 Owen Taylor 2003-04-29 13:58:08 EDT
Note that stat() does not update atime.
Comment 2 Eric Wood 2003-04-29 15:46:28 EDT
No, but the open() does.
Comment 3 David Aspinall 2004-04-30 04:52:59 EDT
I just observed this behaviour on a clean install of Fedora Core 2
test 3, magicdev-1.1.6.  The observable consequence on my laptop
(Fujitsu S6120) is that the CDROM LCD icon flashes constantly,
*unless* there is a CD in the drive.  This is quite annoying.
Comment 4 John (J5) Palmieri 2004-08-25 13:47:37 EDT
Closing. Magicdev has been replaced by gnome-volume-manager in devel

Note You need to log in before you can comment on or make changes to this bug.